Subject: Re: bug#64834: 28.2; Auctex fails to load properly

From: Roger Lipsett <[email-masked]>
Date: Mon, 24 Jul 2023 15:17:49 -0400

So first, apologies for being a moron.

I had an old version of auctex in an Aquamacs directory that was apparently
being used instead, and I had migrated off of Aquamacs and onto Emacs
recently as well. I've removed all files that I can find referring to
Aquamacs from my box. So now that appears to work.

However (and this is a separate problem, but I'd appreciate advice) when I
start an emacs server, I get the message "Invalid image type 'svg'"; the
server crashes but I'm still left with an editable file in the buffer. This
happens with emacs -q as well.

Thanks.

On Mon, Jul 24, 2023 at 3:07 PM Tassilo Horn <[email-masked]> wrote:

> Roger Lipsett <[email-masked]> writes:
>
> Hi Roger,
>
> > I did copy the elpa subdirectory originally. I just nuked it and
> > reinstalled auctex from the package list screen, and received many
> > messages of the form
> >
> >
> > Compiling file /Users/rlipsett/.emacs.d/elpa/auctex-13.2.1/auctex.el at
> Mon
> > Jul 24 13:15:36 2023
> > Entering directory ‘/Users/rlipsett/.emacs.d/elpa/auctex-13.2.1/’
> >
> > Compiling file /Users/rlipsett/.emacs.d/elpa/auctex-13.2.1/bib-cite.el at
> > Mon Jul 24 13:15:36 2023
> > bib-cite.el:590:1: Error: Lisp nesting exceeds ‘max-lisp-eval-depth’
> >
> > Compiling file /Users/rlipsett/.emacs.d/elpa/auctex-13.2.1/context-en.el
> at
> > Mon Jul 24 13:15:36 2023
> > context-en.el:33:1: Error: Lisp nesting exceeds ‘max-lisp-eval-depth’
>
> Really strange.  What's the value of max-lisp-eval-depth in your emacs?
> Here it is 1600 which is the standard value.  AFAICS, it doesn't have
> different values on different OSes.
>
> At least there seems to be some systematics here: context-en.el:33 is a
> (require 'context) [which in turn requires tex] and bib-cite:590 is
> (require 'tex).  But I don't see how that can lead to exceeding
> max-lisp-eval-depth...
>
> > M-x list-load-path-shadows says "No Emacs Lisp load-path shadowings
> > were found".
>
> Good.  (Or rather bad; I've hoped for some easy solvable cause.)
>
> > I am quite sure, as I suspect you are, that this is a migration
> > problem.  I'm happy to start over, but I thought I had already done
> > that. My Emacs 28.2 is installed via HomeBrew. What would you suggest
> > I try if I want to wipe all traces from my system and restart it?
>
> I don't have any knowledge about HomeBrew but I guess you've installed
> emacs anew on the new machine rather than copying over the installation
> from the old one, right?
>
> What about evaluating (require 'ansi-color) as suggested in my previous
> mail?  Does that also lead to an error?  Also with emacs -Q?
>
> And does the auctex load error happen with all tex files (i.e., even
> with an empty tex file in a fresh directory)?
>
> Does something change when you start emacs -Q and then do M-x
> package-initialize RET before opening some TeX file?
>
> Bye,
> Tassilo
>